Skip to main content

List Private Endpoints (V2)

Lists the private endpoints in a project.

GET/v2/projects/{projectId}/privateEndpoints
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
projectIdstringpathrequired

The ID of the project.

Example Value: proj-xxxxxxxxxxxxxxxxxxx
currentPageintegerquery

The page number to return. The first page is 1.

Example Value: 1
pageSizeintegerquery

The number of items to return per page. Values outside 1 to 100 use the default value of 10.

Example Value: 10
bash
export TOKEN="YOUR_API_KEY"
export projectId="proj-xxxxxxxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/projects/${projectId}/privateEndpoints" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Returns a successful result or an error message.

A successful response.

codeintegerrequired

The response code.

Example Value: 0
dataobjectrequired

A paginated list of private endpoints.

endpointsarray

The private endpoints.

[]endpointsobject

A private endpoint and its service status.

regionIdstring

The cloud region ID.

cloudIdstring

The cloud provider ID.

endpointServicestring

The endpoint service name.

endpointServiceStatusstring

The status of the endpoint service.

endpointIdstring

The private endpoint ID.

endpointStatusstring

The status of the private endpoint.

gcpProjectIdstring

The Google Cloud project ID, when applicable.

currentPageinteger

The current page number.

pageSizeinteger

The number of items per page.

countinteger

The total number of matching endpoints.

A failure response.

codeintegerrequired

The response code.

messagestringrequired

The error message.

Successjson
{
"code": 0,
"data": {
"endpoints": [
{
"regionId": "aws-us-west-2",
"cloudId": "aws",
"endpointService": "com.amazonaws.vpce.us-west-2.vpce-svc-xxxxxxxxxxxxxxxxx",
"endpointServiceStatus": "AVAILABLE",
"endpointId": "vpce-xxxxxxxxxxxxxxxxx",
"endpointStatus": "AVAILABLE"
}
],
"currentPage": 1,
"pageSize": 10,
"count": 1
}
}
Ctrl I